diff -Nur olsrd-15ccead4f83c.orig/lib/dyn_gw/src/olsrd_dyn_gw.c olsrd-15ccead4f83c/lib/dyn_gw/src/olsrd_dyn_gw.c
--- olsrd-15ccead4f83c.orig/lib/dyn_gw/src/olsrd_dyn_gw.c	2008-05-13 22:06:35.000000000 +0200
+++ olsrd-15ccead4f83c/lib/dyn_gw/src/olsrd_dyn_gw.c	2008-05-16 08:20:26.000000000 +0200
@@ -135,12 +135,8 @@
  */
 static int set_plugin_double(const char *value, void *data, set_plugin_parameter_addon addon __attribute__((unused)))
 {
-    char *endptr;
-    const double d = strtod(value, &endptr);
-    if (*endptr != '\0' || endptr == value) {
-        OLSR_PRINTF(0, "Illegal double \"%s\"", value);
-        return 1;
-    }
+    double d = 0.0;
+    sscanf(value, "%lf", &d);
     if (data != NULL) {
         double *v = data;
         *v = d;
diff -Nur olsrd-15ccead4f83c.orig/lib/nameservice/src/nameservice.c olsrd-15ccead4f83c/lib/nameservice/src/nameservice.c
--- olsrd-15ccead4f83c.orig/lib/nameservice/src/nameservice.c	2008-05-13 22:06:35.000000000 +0200
+++ olsrd-15ccead4f83c/lib/nameservice/src/nameservice.c	2008-05-16 08:20:26.000000000 +0200
@@ -233,16 +233,14 @@
 
 static int set_nameservice_float(const char *value, void *data, set_plugin_parameter_addon addon __attribute__((unused)))
 {
-	const float thefloat = atof(value);
 	if (data != NULL)
 	{
-		float *v = data;
-		*v = thefloat;
-		OLSR_PRINTF(1, "%s float %f\n", "Got", thefloat);
+		sscanf(value, "%f", (float*)data);
+		OLSR_PRINTF(1, "%s float %f\n", "Got", *(float*)data);
 	}
 	else
 	{
-		OLSR_PRINTF(0, "%s float %f\n", "Ignored", thefloat);
+		OLSR_PRINTF(0, "%s float %s\n", "Ignored", value);
 	}
 	return 0;
 }
diff -Nur olsrd-15ccead4f83c.orig/src/cfgparser/oscan.lex olsrd-15ccead4f83c/src/cfgparser/oscan.lex
--- olsrd-15ccead4f83c.orig/src/cfgparser/oscan.lex	2008-05-13 22:06:35.000000000 +0200
+++ olsrd-15ccead4f83c/src/cfgparser/oscan.lex	2008-05-16 08:20:26.000000000 +0200
@@ -113,7 +113,9 @@
 {
     struct conf_token *rv = get_conf_token();
     if (rv != NULL) {
-        rv->floating = strtod(s, NULL);
+        //rv->floating = strtod(s, NULL);
+	rv->floating = 0.0;
+	sscanf(s, "%f", &rv->floating);
     }
     return rv;
 }
